org.apache.lucene.analysis.tokenattributes

## Interface TypeAttribute

- All Superinterfaces:
    Attribute
  All Known Implementing Classes:
    Token, TypeAttributeImpl

      public interface TypeAttribute
      extends Attribute

  A Token's lexical type. The Default value is "word".

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setType(java.lang.String type)` Set the lexical type.
    `java.lang.String` | `type()` Returns this Token's lexical type.

- - ### Method Detail

    - #### type

          java.lang.String type()

      Returns this Token's lexical type. Defaults to "word".

    - #### setType

          void setType(java.lang.String type)

      Set the lexical type.
      See Also:
        `type()`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.